Skip to content

Perform various operations for Symitar parameters.

Operations

getLoanAppDefault

POST

Retrieve LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppDefaultApplicationTypeintegerrequiredLoan App Default Application Type data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppDefault
POST /nexum/627/2022.01/parameter/getLoanAppDefault HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanAppDefaultApplicationType": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppDefaultSelectFields

POST

Retrieve LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppDefaultApplicationTypeintegeroptionalLoan App Default Application Type data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppDefaultSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "LoanAppDefaultApplicationType": 0,
  "SelectableFields": {
    "LoanAppDefaultFields": {
      "ApplicationType": true,
      "LoanDescription": true,
      "LoanType": true,
      "Type": true
    }
  }
}

getLoanAppDefaultPagedList

POST

Retrieve LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppDefaultPagedList
POST /nexum/627/2022.01/parameter/getLoanAppDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppDefaultListSelectFields

POST

Retrieve LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getLoanAppDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppDefaultFields": true
  }
}

searchLoanAppDefaultSelectFields

POST

Search LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchLoanAppDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchLoanAppDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanAppDefaultFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getLoanAppDefaultPagedListSelectFields

POST

Retrieve LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getLoanAppDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanAppDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanAppDefaultFields": {
      "ApplicationType": true,
      "LoanDescription": true,
      "LoanType": true,
      "Type": true
    }
  }
}

searchLoanAppDefaultPagedSelectFields

POST

Search LoanAppDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchLoanAppDefaultPagedSelectFields
POST /nexum/627/2022.01/parameter/searchLoanAppDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "string",
  "SelectableFields": {
    "LoanAppDefaultFields": {
      "ApplicationType": true,
      "LoanDescription": true,
      "LoanType": true,
      "Type": true
    }
  }
}

updateLoanAppDefaultByID

POST

Update LoanAppDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppDefaultApplicationTypeintegeroptionalLoan App Default Application Type data
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateLoanAppDefaultByID
POST /nexum/627/2022.01/parameter/updateLoanAppDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanAppDefaultApplicationType": 0,
  "LoanAppDefaultUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}